%bcond_with	gps
Summary:	A modular geoinformation service
Summary(pl.UTF-8):	Modularna usługa geoinformacyjna
Name:		geoclue
Version:	0.12.99
Release:	1
License:	LGPL v2
Group:		Applications
Source0:	http://freedesktop.org/~hadess/%{name}-%{version}.tar.gz
# Source0-md5:	779245045bfeeec4853da8baaa3a18e6
Patch0:		%{name}-libsoup.patch
URL:		http://geoclue.freedesktop.org/
BuildRequires:	GConf2-devel >= 2.0
BuildRequires:	NetworkManager-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.0
%{?with_gps:BuildRequires:	gpsd-devel >= 2.91}
BuildRequires:	gtk+2-devel >= 1:2.0
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	gypsy-devel
BuildRequires:	libsoup-devel >= 2.4.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	libxslt-progs
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Geoclue is a modular geoinformation service built on top of the D-Bus
messaging system. The goal of the Geoclue project is to make creating
location-aware applications as simple as possible.

%description -l pl.UTF-8
Geoclue to modularna usługa geoinformacyjna zbudowana w oparciu o
system komunikacji D-Bus. Celem projektu jest jak największe
ułatwienie tworzenia aplikacji uwzględniających lokalizację.

%package libs
Summary:	Geoclue modular geoinformation service library
Summary(pl.UTF-8):	Biblioteka geoclue - modularnej usługi geoinformacyjnej
Group:		Libraries
Requires:	dbus-glib >= 0.60
Conflicts:	geoclue < 0.12.0-3

%description libs
geoclue modular geoinformation service library.

%description libs -l pl.UTF-8
Biblioteka geoclue - modularnej usługi geoinformacyjnej.

%package devel
Summary:	Development package for geoclue
Summary(pl.UTF-8):	Pakiet programistyczny geoclue
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus-glib-devel >= 0.60
Requires:	libxml2-devel >= 2.0

%description devel
Header files for development with geoclue.

%description devel -l pl.UTF-8
Pliki nagłówkowe do programowania z użyciem geoclue.

%package static
Summary:	Static geoclue library
Summary(pl.UTF-8):	Statyczna biblioteka geoclue
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static geoclue library.

%description static -l pl.UTF-8
Statyczna biblioteka geoclue.

%package apidocs
Summary:	Developer documentation for geoclue
Summary(pl.UTF-8):	Dokumentacja programisty do geoclue
Group:		Development/Libraries
Requires:	gtk-doc-common

%description apidocs
Developer documentation for geoclue.

%description apidocs -l pl.UTF-8
Dokumentacja programisty do geoclue.

%package gpsd
Summary:	gpsd provider for geoclue
Summary(pl.UTF-8):	Interfejs geoclue do gpsd
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Requires:	gpsd >= 2.91

%description gpsd
A gpsd provider for geoclue.

%description gpsd -l pl.UTF-8
Interfejs geoclue do gpsd.

%package gypsy
Summary:	gypsy provider for geoclue
Summary(pl.UTF-8):	Interfejs geoclue do gypsy
Group:		Applications
Requires:	%{name} = %{version}-%{release}
Requires:	gypsy

%description gypsy
A gypsy provider for geoclue.

%description gypsy -l pl.UTF-8
Interfejs geoclue do gypsy.

%prep
%setup -q
%patch0 -p1

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--disable-conic \
	--enable-gpsd%{?!with_gps:=no} \
	--enable-gypsy \
	--enable-networkmanager \
	--enable-skyhook \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libexecdir}/geoclue-example
%attr(755,root,root) %{_libexecdir}/geoclue-geonames
%attr(755,root,root) %{_libexecdir}/geoclue-gsmloc
%attr(755,root,root) %{_libexecdir}/geoclue-hostip
%attr(755,root,root) %{_libexecdir}/geoclue-localnet
%attr(755,root,root) %{_libexecdir}/geoclue-manual
%attr(755,root,root) %{_libexecdir}/geoclue-master
%attr(755,root,root) %{_libexecdir}/geoclue-nominatim
%attr(755,root,root) %{_libexecdir}/geoclue-plazes
%attr(755,root,root) %{_libexecdir}/geoclue-skyhook
%attr(755,root,root) %{_libexecdir}/geoclue-yahoo
%dir %{_datadir}/geoclue-providers
%{_datadir}/GConf/gsettings/geoclue
%{_datadir}/geoclue-providers/geoclue-example.provider
%{_datadir}/geoclue-providers/geoclue-geonames.provider
%{_datadir}/geoclue-providers/geoclue-gsmloc.provider
%{_datadir}/geoclue-providers/geoclue-hostip.provider
%{_datadir}/geoclue-providers/geoclue-localnet.provider
%{_datadir}/geoclue-providers/geoclue-manual.provider
%{_datadir}/geoclue-providers/geoclue-nominatim.provider
%{_datadir}/geoclue-providers/geoclue-plazes.provider
%{_datadir}/geoclue-providers/geoclue-skyhook.provider
%{_datadir}/geoclue-providers/geoclue-yahoo.provider
%{_datadir}/glib-2.0/schemas/org.freedesktop.Geoclue.gschema.xml
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Master.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Example.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Geonames.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Gsmloc.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Hostip.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Localnet.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Manual.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Nominatim.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Plazes.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Skyhook.service
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Yahoo.service

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgeoclue.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgeoclue.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgeoclue.so
%{_includedir}/geoclue
%{_pkgconfigdir}/geoclue.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgeoclue.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/geoclue

%if %{with gps}
%files gpsd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/geoclue-gpsd
%{_datadir}/geoclue-providers/geoclue-gpsd.provider
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Gpsd.service
%endif

%files gypsy
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/geoclue-gypsy
%{_datadir}/geoclue-providers/geoclue-gypsy.provider
%{_datadir}/dbus-1/services/org.freedesktop.Geoclue.Providers.Gypsy.service
%changelog
* Thu Apr 11 2013 Marcin Krol <hawk@tld-linux.org> 29acf44
- update to 0.12.99

* Thu Apr 11 2013 Marcin Krol <hawk@tld-linux.org> c8b4359
- obsolete, fixed upstream

* Sat Jan 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 58b5251
- rel 11; disable gpsd for now (doesn't build)

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 0eaca55
- release 10

* Sat Oct 22 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> c960585
- release 9

* Tue Sep 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fa24530
- release 8

* Thu Sep 15 2011 lisu <lisu@pld-linux.org> 61297a0
- rel 7

* Mon Jun 13 2011 lisu <lisu@pld-linux.org> 279cf36
- rel 6

* Mon May 23 2011 lisu <lisu@pld-linux.org> 006487a
- fixed patch headers

* Thu Apr 07 2011 Marcin Banasiak <marcin.banasiak@gmail.com> e4c1229
- added support for NM 0.9
- release 5

* Wed Apr 06 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 4639f03
- removed libtool file
- release 4

* Sun Jan 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 56780d4
- added libsoup patch (libsoup-gnome part is not needed; kill gpsd copy/pastos from skyhook provider)
- separated -libs
- pl
- more complete deps

* Thu Sep 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b78f251
- release 2

* Mon Sep 20 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 6f3b03f
- revised deps
- release 1

* Wed May 26 2010 Caleb Maclennan <caleb@alerque.com> 30d3780
- Package new files

* Wed May 26 2010 Caleb Maclennan <caleb@alerque.com> 576c79c
- Up to 0.12.0

* Sat May 15 2010 hawk <hawk@pld-linux.org> 8e1f2f5
- release 4

* Sat Feb 20 2010 sparky <sparky@pld-linux.org> 8270201
- disable conic support (maemo thingy)
- rel .3; STBR

* Sat Feb 20 2010 sparky <sparky@pld-linux.org> 5503ade
- force NetworkManager support and fix detection

* Sat Feb 20 2010 sparky <sparky@pld-linux.org> d731a75
- BR: docbook-dtd412-xml

